import type { ISlotProps } from '@uifabricshared/foundation-settings';
import type { ITargetHasToken, IComponentTokens, IStyleFactories } from './Token.types';
/**
 * This function runs at component definition time (once for every component type) and
 * processes the styleFactories on each of the slots and builds up handler functions that
 * obtain or build the cached props.
 *
 * @param factories - collection of slot style factories
 * @param hasToken - a function that returns whether or not a slot supports a given token
 */
export declare function buildComponentTokens<TSlotProps extends ISlotProps, TTokens, TTheme>(factories: IStyleFactories<TSlotProps, TTokens, TTheme>, hasToken?: ITargetHasToken): IComponentTokens<TSlotProps, TTokens, TTheme>;
//# sourceMappingURL=Token.function.d.ts.map